<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030
 */

namespace admin_application\link;

class NevigateLink {

	public static function Nevigate_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'Nevigate/listNevigate';
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'Nevigate/listNevigate';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'Nevigate/addNevigate';
		$action_key['nevigate_id'] = $array['nevigate_id'];
		$link_array['add'] = linkOut($action_key);
		$action_key['act'] = 'Nevigate/addNevigate';
		$action_key['nevigate_linktype'] = 2;
		$action_key['nevigate_id'] = $array['nevigate_id'];
		$link_array['addlink'] = linkOut($action_key);
		$action_key['act'] = 'Nevigate/importNevigate';
		$action_key['nevigate_id'] = $array['nevigate_id'];
		$link_array['import'] = linkOut($action_key);
		$action_key_edit['act'] = 'Nevigate/editNevigate';
		$action_key_edit['nevigate_id'] = $array['nevigate_id'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'Nevigate/saveNevigate';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'Nevigate/delNevigate';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'Nevigate/sortNevigate';
		$link_array['sort'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

}
